Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Weak1::ARC4 Class Reference

Alleged RC4 More...

`#include <arc4.h>`

Inheritance diagram for Weak1::ARC4:

List of all members.

## Public Member Functions

Clonable * | Clone () const
std::string | AlgorithmName () const
size_t | MinKeyLength () const
size_t | MaxKeyLength () const
size_t | DefaultKeyLength () const
size_t | GetValidKeyLength (size_t n) const
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
unsigned int | IVSize () const

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

Alleged RC4

Definition at line 39 of file arc4.h.

The documentation for this class was generated from the following file:

- arc4.h